package com.fjhx.victoriatourist.service.stock;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.stock.dto.StockTransferDto;
import com.fjhx.victoriatourist.entity.stock.dto.StockTransferSelectDto;
import com.fjhx.victoriatourist.entity.stock.po.StockTransfer;
import com.fjhx.victoriatourist.entity.stock.vo.StockTransferVo;
import com.fjhx.wms.entity.stock.dto.StockDto;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 调仓记录 服务类
 * </p>
 *
 * @author
 * @since 2023-04-17
 */
public interface StockTransferService extends BaseService<StockTransfer> {

    /**
     * 调仓记录分页
     */
    Page<StockTransferVo> getPage(StockTransferSelectDto dto);

    /**
     * 调仓记录明细
     */
    StockTransferVo detail(Long id);

    /**
     * 调仓记录新增
     */
    void add(StockTransferDto stockTransferDto);

    /**
     * 调仓记录编辑
     */
    void edit(StockTransferDto stockTransferDto);

    /**
     * 调仓记录删除
     */
    void delete(Long id);

    /**
     * 调仓接收
     */
    void receive(StockTransferDto stockTransferDto);

    void stockTransfer(StockTransferDto stockTransferDto);
}
